<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:aslatvenergo="http://aslatvenergo.com/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" targetNamespace="http://aslatvenergo.com/xbrl/2024" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aslatvenergo-2024-12-31_lab-lv.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aslatvenergo-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aslatvenergo-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aslatvenergo-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-lv.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-lv.xml" xlink:type="simple" />
      <link:roleType id="PelnaVaiZaudejumi" roleURI="http://aslatvenergo.com/xbrl/2024/roles/PelnaVaiZaudejumi">
        <link:definition>01 - Peļņa vai zaudējumi</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ApvienotoIenakumuParskats" roleURI="http://aslatvenergo.com/xbrl/2024/roles/ApvienotoIenakumuParskats">
        <link:definition>02 - Apvienoto ienākumu pārskats</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://aslatvenergo.com/xbrl/2024/roles/NotesAndMandatoryItems">
        <link:definition>03 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FinansuStavoklaParskats" roleURI="http://aslatvenergo.com/xbrl/2024/roles/FinansuStavoklaParskats">
        <link:definition>04 - Finanšu stāvokļa pārskats</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PasuKapitalaIzmainuParskats" roleURI="http://aslatvenergo.com/xbrl/2024/roles/PasuKapitalaIzmainuParskats">
        <link:definition>05 - Pašu kapitāla izmaiņu pārskats</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NaudasPlusmuParskats" roleURI="http://aslatvenergo.com/xbrl/2024/roles/NaudasPlusmuParskats">
        <link:definition>06 - Naudas plūsmu pārskats</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://aslatvenergo.com/xbrl/2024/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="aslatvenergo_ProfitOrLossTable" xbrli:periodType="duration" abstract="true" name="ProfitOrLossTable" nillable="true" xmlns:q1="http://xbrl.org/2005/xbrldt" substitutionGroup="q1:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_ProfitOrLossLineItems" xbrli:periodType="duration" abstract="true" name="ProfitOrLossLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_EBITDA" xbrli:balance="credit" xbrli:periodType="duration" name="EBITDA" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="aslatvenergo_StatementOfComprehensiveIncomeTable" xbrli:periodType="duration" abstract="true" name="StatementOfComprehensiveIncomeTable" nillable="true" xmlns:q2="http://xbrl.org/2005/xbrldt" substitutionGroup="q2:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_StatementOfComprehensiveIncomeLineItems" xbrli:periodType="duration" abstract="true" name="StatementOfComprehensiveIncomeLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_StatementOfFinancialPositionTable" xbrli:periodType="duration" abstract="true" name="StatementOfFinancialPositionTable" nillable="true" xmlns:q3="http://xbrl.org/2005/xbrldt" substitutionGroup="q3:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_StatementOfFinancialPositionLineItems" xbrli:periodType="duration" abstract="true" name="StatementOfFinancialPositionLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_StatementOfCashFlowsTable" xbrli:periodType="duration" abstract="true" name="StatementOfCashFlowsTable" nillable="true" xmlns:q4="http://xbrl.org/2005/xbrldt" substitutionGroup="q4:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_StatementOfCashFlowsLineItems" xbrli:periodType="duration" abstract="true" name="StatementOfCashFlowsLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="aslatvenergo_InterestPaidOnLeases" xbrli:balance="credit" xbrli:periodType="duration" name="InterestPaidOnLeases" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>